Subject: Re: [idn] Newbie's questions implementing the [IDNA]

From: Erik Nordmark <[email-masked]>
Date: Tue, 10 Dec 2002 21:24:49 +0100 (CET)

> Question2.
> What is the return value of DNS?
> I think it is the IP address just like the usual DNS return value...
> For example, when I send the query 'PREFIX-089a.com'(this is a Korean 
> character) to the resolver,
> the DNS will return the IP address for 'PREFIX-089a.com', won't it?
> 
> But the [IDNA] spec says in page 3,
> - The ToUnicode opeartion is used when displaying names to users,
> for example "names obtained from a DNS zone".
> 
> Does the DNS return a name?

An example of where a DNS lookup would return a name
is when doing a reverse lookup i.e. a PTR lookup in the DNS.

For example, 4.3.2.1.in-addr.arpa would return 'PREFIX-089a.com'
to which you would apply ToUnicode before displaying it to the user.

  Erik